import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'certFile' },
})
export class CertFile extends BaseModel {
  @prop({ required: false, index: true, zh: '申请id' })
  user_id: string;
  @prop({ required: false, index: true, zh: '申请人姓名' })
  user_name: string;
  @prop({ required: false, index: true, zh: '成果申请id' })
  apply_id: string;
  @prop({ required: false, index: true, zh: '成果申请名称' })
  apply_name: string;
  @prop({ required: false, index: false, zh: '证书资料' })
  cert_file: Array<any>;
  @prop({ required: false, index: true, zh: '上传时间' })
  create_time: string;
  @prop({ required: false, index: false, zh: '备注' })
  remark: string;
}
