import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'examLogs' },
})
export class ExamLogs extends BaseModel {
  @prop({ required: false, index: true, zh: '审核人id' })
  exam_id: string;
  @prop({ required: false, index: true, zh: '审核人姓名' })
  exam_name: string;
  @prop({ required: false, index: true, zh: '审核人手机号' })
  exam_phone: string;
  @prop({ required: false, index: true, zh: '成果申请id' })
  apply_id: string;
  @prop({ required: false, index: true, zh: '成果申请名称' })
  apply_name: string;
  @prop({ required: false, index: true, zh: '审核步骤' })
  step: string;
  @prop({ required: false, index: true, zh: '审核状态' })
  status: string;
  @prop({ required: false, index: false, zh: '审核意见' })
  desc: string;
  @prop({ required: false, index: true, zh: '审核时间' })
  create_time: string;
  @prop({ required: false, index: false, zh: '备注' })
  remark: string;
}
