import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { CertFile } from '../entity/certFile.entity';
type modelType = ReturnModelType<typeof CertFile>;
@Provide()
export class CertFileService extends BaseService<modelType> {
  @InjectEntityModel(CertFile)
  model: modelType;
}
